/*
Copyright (C) 2019 RRe36

All Rights Reserved unless otherwise explicitly stated.


By downloading this you have agreed to the license and terms of use.
These can be found inside the included license-file or here: https://rre36.github.io/license/

Violating these terms may be penalized with actions according to the Digital Millennium Copyright Act (DMCA), the Information Society Directive and/or similar laws depending on your country.
*/

float get_wetness(float lmap, vec3 scenenormal, vec3 worldpos) {
    float fade  = sstep(lmap, 0.85, 0.95) * saturate(dot(scenenormal, vec3(0.0, 1.0, 0.0)) * 0.8 + 0.2);

    float wetness   = value_3d(worldpos * 0.2);
        wetness    += value_3d(worldpos * 0.8) * 0.5;
        wetness     = sstep(wetness, 0.6, 0.85) * fade;

    return wetness;
}